lttoolbox (3.8.2-2) unstable; urgency=medium

  * Team Upload
  * Rix Team email address
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Replace obsolete pkg-config build-dep with pkgconf
  * Rewrite d/rules with newer & shorter syntax
  * Rename file under debian/ for debhelper 15 compatibility
  * Disable useless Salsa CI jobs
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Thu, 26 Mar 2026 22:25:32 +0100

lttoolbox (3.8.2-1) unstable; urgency=medium

  * Update to latest upstream
  * Fixes build with libxml 2.14 (Closes: #1106616)

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 14 Aug 2025 21:46:21 +0200

lttoolbox (3.8.0-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Apr 2025 10:10:25 +0200

lttoolbox (3.7.6-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 28 Dec 2023 01:40:15 +0100

lttoolbox (3.7.1-3) unstable; urgency=medium

  * Upload fix to unstable

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 30 Oct 2023 14:30:12 +0100

lttoolbox (3.7.1-2) experimental; urgency=medium

  * Snip symlink creation from 3.6 days (Closes: #1035863)

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 10 May 2023 12:10:11 +0200

lttoolbox (3.7.1-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 01 Nov 2022 09:38:15 +0100

lttoolbox (3.7.0-1) experimental; urgency=medium

  * Update to latest upstream:
    + Updated package names for soname untangling.
    + Binary lsx-comp moved from package apertium-separable
  * debian/
    + docs: Removed AUTHORS in favour of installing it via rules -A
    + copyright: python/* is GPLv3+

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 26 Oct 2022 13:41:14 +0200

lttoolbox (3.6.6-1) unstable; urgency=medium

  [ Tino Didriksen ]
  * New upstream release:
    + Fixes data compilation bug.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jun 2022 16:44:19 +0530

lttoolbox (3.6.4-1) unstable; urgency=high

  [ Tino Didriksen ]
  * New upstream release
   + Includes fix for missing ICU linkage (Closes: #1010094)

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 Apr 2022 20:05:34 +0530

lttoolbox (3.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Mar 2022 19:17:17 +0530

lttoolbox (3.6.1-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Fixes Python autopkgtest failure
  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Mar 2022 17:01:13 +0530

lttoolbox (3.6.0-2) unstable; urgency=low

  * Source only upload.

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Mar 2022 21:55:01 +0530

lttoolbox (3.6.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Updated package names for soname bump.

  [ Kartik Mistry ]
  * debian/copyright:
    + Updated Debian copyright year.
    + Removed BSL-1.0 license. Files are no longer used.
  * debian/control:
    + Removed XB-Python-Version.
  * Removed unused Lintian overrides.

 -- Kartik Mistry <kartik@debian.org>  Mon, 14 Mar 2022 17:42:48 +0530

lttoolbox (3.5.4-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream non-ICU release
  * Fixed debian/watch to what I actually meant

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.6.0

 -- Kartik Mistry <kartik@debian.org>  Fri, 29 Oct 2021 10:41:38 +0530

lttoolbox (3.5.3-2) unstable; urgency=low

  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 25 Jan 2021 21:27:52 +0530

lttoolbox (3.5.3-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
  * debian/control:
    + Updated Standards-Version to 4.5.1

  [ Kartik Mistry ]
  * Removed unused lintian override.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Dec 2020 13:41:27 +0530

lttoolbox (3.5.1-2) unstable; urgency=low

  * Source only upload.
  * debian/control:
    + Updated Standards-Version to 4.4.1

 -- Kartik Mistry <kartik@debian.org>  Wed, 30 Oct 2019 10:32:53 +0530

lttoolbox (3.5.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
    + Added Python module
  * Now only supports Python 3 (Closes: #936970)
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.0
  * Removed debian/patches

  [ Kartik Mistry ]
  * Added debian/gitlab-ci.yml

 -- Kartik Mistry <kartik@debian.org>  Wed, 25 Sep 2019 17:47:25 +0530

lttoolbox (3.5.0-3) unstable; urgency=medium

  * debian/patches:
    + Added a patch fix FTBFS on several architectures (Closes: #911226)

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 Nov 2018 08:53:13 +0530

lttoolbox (3.5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Fri, 12 Oct 2018 20:36:26 +0530

lttoolbox (3.5.0-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.2.1
  * Updated to dh 11.

 -- Kartik Mistry <kartik@debian.org>  Wed, 10 Oct 2018 11:42:23 +0530

lttoolbox (3.4.2-2) unstable; urgency=medium

  * debian/control:
    + Regression fix: Drop dummy transitional package. (Closes: #893075)

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Jun 2018 11:48:08 +0530

lttoolbox (3.4.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.
  * debian/control:
    + Updated Standards-Version to 4.1.4
    + Updated Vcs-* URLs.
  [ Kartik Mistry ]
  * Updated debian/watch file.
  * Added Hardening support.

 -- Kartik Mistry <kartik@debian.org>  Sat, 16 Jun 2018 12:03:56 +0530

lttoolbox (3.4.0~r84331-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * debian/control:
    + Version bump, so undo the g++-5 renaming.
    + Updated Standards-Version to 4.1.3.
  * Updated debian/watch file.
  * Updated lintian overrides.
  * URLs: http->https.

 -- Kartik Mistry <kartik@debian.org>  Tue, 13 Mar 2018 11:00:04 +0530

lttoolbox (3.3.3~r68466-2) unstable; urgency=low

  * Upload to unstable

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jun 2016 16:34:53 +0530

lttoolbox (3.3.3~r68466-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release.
  * debian/control:
    + Fix Vcs-Git URL
    + Updated Standards-Version to 3.9.8
  * debian/rules:
    + Disable static libraries.
  * Use debian/<package>.triggers to replace ldconfig call by dpkg triggers.

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jun 2016 11:06:36 +0530

lttoolbox (3.3.2~r63423-3) unstable; urgency=low

  * Revert, reverted g++5 ABI transition.

 -- Kartik Mistry <kartik@debian.org>  Mon, 08 Feb 2016 09:22:19 +0530

lttoolbox (3.3.2~r63423-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Split overrides.
  * Override hardening-no-fortify-functions and no-symbols-control-file.
  * Remove pre-dh9-style hardening

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 17:12:24 +0530

lttoolbox (3.3.2~r63423-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream snapshop release.

  [ Kartik Mistry ]
  * debian/control:
    + Fixed Vcs-* URLs.
    + Removed dummy library package used for g++5 ABI transition.
  * debian/patches:
    + Added patch to fix hyphen used as minus.

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 10:26:06 +0530

lttoolbox (3.3.2~r61000-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791195).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:46:35 +0200

lttoolbox (3.3.2~r61000-3) unstable; urgency=low

  * Removed troublesome symbols file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 24 Jul 2015 14:17:21 -0500

lttoolbox (3.3.2~r61000-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Disable static libraries.

  [ Kartik Mistry ]
  * debian/liblttoolbox3-3.3-0.symbols:
    + Added symbols file.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jul 2015 19:28:04 +0530

lttoolbox (3.3.2~r61000-1) unstable; urgency=low

  * New upstream snapshop release.

 -- Tino Didriksen <mail@tinodidriksen.com>  Mon, 22 Jun 2015 10:40:01 +0200

lttoolbox (3.3.1~r59199-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream snapshop release.
  * debian/control:
    + Renamed liblttoolbox3-3.3-dev package to lttoolbox-dev

 -- Kartik Mistry <kartik@debian.org>  Mon, 22 Jun 2015 11:52:30 +0530

lttoolbox (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Disabled tests as of now.

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Jun 2015 21:10:42 +0530

lttoolbox (3.3.0.56152-3) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    + Updated Standards-Version to 3.9.6
  * Added patch description.

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Jun 2015 13:22:02 +0530

lttoolbox (3.3.0.56152-2) experimental; urgency=low

  * Added PCRE workaround helper patch (See: #757539)

 -- Tino Didriksen <mail@tinodidriksen.com>  Tue, 28 Oct 2014 09:30:00 +0100

lttoolbox (3.3.0.56152-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release
  * Standards-Version updated to version 3.9.6
  * Using upstream release from svn, to avoid pre-generated automake files
    (Closes: #733185)
  * Re-done packaging to take advantage of debhelper 9
  * Added multiarch support
  * 3.3 includes all of 3.2 (Closes: #758518)

  [ Kartik Mistry ]
  * wrap-and-sort control, install files.
  * Added myself as Uploaders.

 -- Kartik Mistry <kartik@debian.org>  Mon, 22 Sep 2014 19:14:55 +0530

lttoolbox (3.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unneeded .la files (Closes: #633265).
  * Update dh compat 4 -> 8.
  * Replace dh_clean -k with dh_prep.

 -- Aron Xu <aron@debian.org>  Thu, 02 Feb 2012 00:59:39 +0800

lttoolbox (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 03 Feb 2009 19:25:34 +0000

lttoolbox (3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Fri, 01 Aug 2008 16:36:16 +0100

lttoolbox (3.0.2-2) unstable; urgency=low

  * Pre-emptive fix for FTBFS with gcc-4.3

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 31 Mar 2008 11:23:19 +0100

lttoolbox (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Standards version upped to 3.7.3

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 31 Mar 2008 08:23:19 +0100

lttoolbox (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Thu, 06 Dec 2007 17:27:58 +0000

lttoolbox (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 02 Oct 2007 15:45:21 +0100

lttoolbox (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Fri,  6 Apr 2007 12:23:52 +0100

lttoolbox (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Wed, 21 Mar 2007 09:50:11 +0000

lttoolbox (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu,  9 Nov 2006 12:35:34 +0000

lttoolbox (1.0.1-1) unstable; urgency=low

  * Initial release Closes: #320931

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu, 25 May 2006 11:40:31 +0100
